Bug 204852 - Review Request: tuxpaint-stamps - Extra stamp files for tuxpaint
Review Request: tuxpaint-stamps - Extra stamp files for tuxpaint
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-08-31 17:21 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-14 11:42:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-08-31 17:21:12 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/tuxpaint-stamps/tuxpaint-stamps.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/tuxpaint-stamps-2005.11.25-1.src.rpm
This package is a collection of 'rubber stamps' for Tux Paint's "Stamp" tool.

(Thanks to Wart for doing all the work for me.)
Comment 1 Parag AN(पराग) 2006-09-01 01:08:28 EDT
{Not Official Review}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6
- rpmlint on binary rpm is NOT silent
E: tuxpaint-stamps incorrect-locale-sv
+ dist tag is present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ MD5 sum on tarball is matching upstream tarball
6edf92504b1b9f9943e3b28011738691  tuxpaint-stamps-2005.11.25.tar.gz
+ No duplicate files
Comment 2 Steven Pritchard 2006-09-01 12:21:25 EDT
(In reply to comment #1)
> - rpmlint on binary rpm is NOT silent
> E: tuxpaint-stamps incorrect-locale-sv
> /usr/share/locale/sw/LC_MESSAGES/tuxpaint-stamps.mo

Sorry, I meant to mention this when I submitted the package.  I think this is a
bogus error, but either way I don't know how to fix it.

More information here: 
Comment 3 Kevin Fenzi 2006-09-09 02:04:58 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
6edf92504b1b9f9943e3b28011738691  tuxpaint-stamps-2005.11.25.tar.gz
6edf92504b1b9f9943e3b28011738691  tuxpaint-stamps-2005.11.25.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.


OK - Should include License or ask upstream to include it.
OK - Should build in mock.


1. The rpmlint error:
E: tuxpaint-stamps incorrect-locale-sv /usr/share/locale/sw/LC_MESSAGES/

seems to be saying that sw is a invalid locale, and should be sv?

From the I18NCheck.py file in rpmlint:

# Associative array of invalid value => correct value
    'in': 'id',
    'in_ID': 'id_ID',
    'iw': 'he',
    'iw_IL': 'he_IL',
    'gr': 'el',
    'gr_GR': 'el_GR',
    'cz': 'cs',
    'cz_CZ': 'cs_CZ',
    'sw': 'sv',
    'lug': 'lg', # 'lug' is valid, but we standardize on 2 letter codes
    'en_UK': 'en_GB'}

So perhaps move the sw locale files to the sv directory?
I think sw is not a valid locale, so those files should be sv files. 

I see tuxpaint itself does this as well, perhaps a bug should be
filed against it?

Thats the only issue I see here.
Comment 4 Kevin Fenzi 2006-09-09 02:25:57 EDT
Looking at the locale thing further, it looks like it is a bogus error. 
The file is a sw file, but rpmlint doesn't see that as a valid locale. 
That I18NCheck.py file was last modified more than 6 years ago, so it could be 
very out of date. 

It might be worth posting to the extras list to see if anyone has further ideas 
on it, but I'll go ahead and APPROVE this package now. 
Comment 5 Steven Pritchard 2006-09-14 11:13:18 EDT
Thanks.  I finally got this imported into CVS.

I just posted something to fedora-extras-list, but now I'm positive the error is
bogus.  That file is Swahili, and sw seems to be the correct locale for Swahili.
Comment 6 Steven Pritchard 2006-09-14 11:42:03 EDT
(That last note was delayed thanks to my Internet connection going down last night.)

Paul Howarth has reported the rpmlint issue upstream
(http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/49).  It's definitely a bug.

The FC-5 branch has been created, and a build is in progress.

Note You need to log in before you can comment on or make changes to this bug.